QuantLib: Russia Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Public Member Functions | List of all members
Russia Class Reference
Date and time calculations » Calendars

Russian calendars. More...

`#include <ql/time/calendars/russia.hpp>`

Inheritance diagram for Russia:
[legend]

## Public Types
enum | Market { Settlement, MOEX }
| Russian calendars. More...

## Public Member Functions
| Russia (Market=Settlement)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members
Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Russian calendars.

Public holidays (see http://www.cbr.ru/eng/:):

- Saturdays
- Sundays
- New Year holidays and Christmas, January 1st to 8th
- Defender of the Fatherland Day, February 23rd (possibly moved to Monday)
- International Women's Day, March 8th (possibly moved to Monday)
- Labour Day, May 1st (possibly moved to Monday)
- Victory Day, May 9th (possibly moved to Monday)
- Russia Day, June 12th (possibly moved to Monday)
- Unity Day, November 4th (possibly moved to Monday)

Holidays for the Moscow Exchange (MOEX) taken from http://moex.com/s726 and related pages. These holidays are not consistent year-to-year, may or may not correlate to public holidays, and are only available for dates since the introduction of the MOEX 'brand' (a merger of the stock and futures markets).

## Member Enumeration Documentation

## ◆ Market

enum Market

Russian calendars.

Enumerator
Settlement | generic settlement calendar
MOEX | Moscow Exchange calendar.